# Topology Objects

## Data Structures
struct | hwloc_obj_memory_s
| Object memory. More...
struct | hwloc_obj
| Structure of a topology object. More...
union | hwloc_obj_attr_u
| Object type-specific Attributes. More...
## Typedefs
typedef struct hwloc_obj * | hwloc_obj_t
| Convenience typedef; a pointer to a struct hwloc_obj.

## Typedef Documentation

typedef struct hwloc_obj* hwloc_obj_t

Convenience typedef; a pointer to a struct hwloc_obj.